p11-kit 0.23.21-2ubuntu0.1 source package in Ubuntu

Changelog

p11-kit (0.23.21-2ubuntu0.1) groovy-security; urgency=medium

  * SECURITY UPDATE: multiple integer overflows
    - debian/patches/CVE-2020-29361-1.patch: check for arithmetic overflows
      before allocating in p11-kit/iter.c, p11-kit/lists.c,
      p11-kit/proxy.c, p11-kit/rpc-message.c, p11-kit/rpc-message.h,
      p11-kit/rpc-server.c, trust/index.c.
    - debian/patches/CVE-2020-29361-2.patch: follow-up to arithmetic
      overflow fix in common/compat.c, p11-kit/rpc-message.c.
    - CVE-2020-29361
  * SECURITY UPDATE: heap over-read in the RPC protocol
    - debian/patches/CVE-2020-29362.patch: fix bounds check in
      p11-kit/rpc-message.c.
    - CVE-2020-29362
  * SECURITY UPDATE: heap overflow in RPC protocol
    - debian/patches/CVE-2020-29363.patch: check attribute length against
      buffer size in p11-kit/rpc-message.c.
    - CVE-2020-29363

 -- Marc Deslauriers <email address hidden>  Mon, 04 Jan 2021 13:57:42 -0500

Upload details

Uploaded by:
Marc Deslauriers on 2021-01-04
Uploaded to:
Groovy
Original maintainer:
Ubuntu Developers
Architectures:
any
Section:
libs
Urgency:
Medium Urgency

See full publishing history Publishing

Series Pocket Published Component Section
Groovy updates on 2021-01-05 main libs
Groovy security on 2021-01-05 main libs

Downloads

File Size SHA-256 Checksum
p11-kit_0.23.21.orig.tar.xz 807.7 KiB f1baa493f05ca0d867f06bcb54cbb5cdb28c756db07207b6e18de18a87b10627
p11-kit_0.23.21.orig.tar.xz.asc 854 bytes 1cb299bd62e3d6a0a43558b7c10270ed3ab5551279633df26810c9c76939684a
p11-kit_0.23.21-2ubuntu0.1.debian.tar.xz 24.9 KiB 5e1f596ae83e7fd50f8ad1bb9594f673e60bb78ad711717b6c46bfe1428ef595
p11-kit_0.23.21-2ubuntu0.1.dsc 2.5 KiB 02e86088396498f35caaae337ce448d1ddabd41ca41e71772edaecdf6159de45

View changes file

Binary packages built by this source

libp11-kit-dev: library for loading and coordinating access to PKCS#11 modules - development

 The p11-kit library provides a way to load and enumerate Public-Key
 Cryptography Standard #11 modules, along with a standard configuration
 setup for installing PKCS#11 modules so that they're discoverable. It
 also solves problems with coordinating the use of PKCS#11 by different
 components or libraries living in the same process.
 .
 This package contains the documentation and development headers required
 to build applications using the p11-kit library.

libp11-kit0: library for loading and coordinating access to PKCS#11 modules - runtime

 The p11-kit library provides a way to load and enumerate Public-Key
 Cryptography Standard #11 modules, along with a standard configuration
 setup for installing PKCS#11 modules so that they're discoverable. It
 also solves problems with coordinating the use of PKCS#11 by different
 components or libraries living in the same process.
 .
 This package contains the shared library required for applications loading
 and accessing PKCS#11 modules.

libp11-kit0-dbgsym: debug symbols for libp11-kit0
p11-kit: p11-glue utilities

 The p11-kit library provides a way to load and enumerate Public-Key
 Cryptography Standard #11 modules, along with a standard configuration
 setup for installing PKCS#11 modules so that they're discoverable. It
 also solves problems with coordinating the use of PKCS#11 by different
 components or libraries living in the same process.
 .
 This package contains the p11-kit tool for listing PKCS#11 modules.

p11-kit-dbgsym: debug symbols for p11-kit
p11-kit-modules: p11-glue proxy and trust modules

 The p11-kit library provides a way to load and enumerate Public-Key
 Cryptography Standard #11 modules, along with a standard configuration
 setup for installing PKCS#11 modules so that they're discoverable. It
 also solves problems with coordinating the use of PKCS#11 by different
 components or libraries living in the same process.
 .
 This package contains the p11-kit proxy module and the system trust
 policy module.

p11-kit-modules-dbgsym: debug symbols for p11-kit-modules